<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/3_game/dayzexpansion_book/settings/book/serverinfo/expansionbooksettingcategory.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/da3/expansionbooksettingcategory_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbooksettingcategory.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/da3/expansionbooksettingcategory_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookSettingCategory.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d2a/class_expansion_book_setting_category.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d2a/class_expansion_book_setting_category.html">ExpansionBookSettingCategory</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d2a/class_expansion_book_setting_category.html#a8cb6e0666f035785b315add5e20bb14f">   15</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d3/d2a/class_expansion_book_setting_category.html#a8cb6e0666f035785b315add5e20bb14f">CategoryName</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d3/d2a/class_expansion_book_setting_category.html#a4421cd2945f67eb2a5547e4833f84774">   16</a></span>    ref array&lt;ref ExpansionBookSetting&gt; <a class="code hl_variable" href="../../d3/d2a/class_expansion_book_setting_category.html#a4421cd2945f67eb2a5547e4833f84774">Settings</a> = <span class="keyword">new</span> array&lt;ref ExpansionBookSetting&gt;;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d3/d2a/class_expansion_book_setting_category.html#a5e1c8540cb5eea44f5a1935a2efc1386">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2a/class_expansion_book_setting_category.html#a5e1c8540cb5eea44f5a1935a2efc1386">ExpansionBookSettingCategory</a>(<span class="keywordtype">string</span> name)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d3/d2a/class_expansion_book_setting_category.html#a8cb6e0666f035785b315add5e20bb14f">CategoryName</a> = name;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/d2a/class_expansion_book_setting_category.html#a353012b2617141cb125b43a24add7e62">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2a/class_expansion_book_setting_category.html#a353012b2617141cb125b43a24add7e62">AddSetting</a>(<span class="keywordtype">string</span> title, <span class="keywordtype">string</span> text = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> value = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_class" href="../../dc/d8a/class_expansion_book_setting.html">ExpansionBookSetting</a> setting = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/d8a/class_expansion_book_setting.html">ExpansionBookSetting</a>(title, text, value);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d3/d2a/class_expansion_book_setting_category.html#a4421cd2945f67eb2a5547e4833f84774">Settings</a>.Insert(setting);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d3/d2a/class_expansion_book_setting_category.html#a5037e7287d433398a8a8ed885ff96fa7">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d2a/class_expansion_book_setting_category.html#a5037e7287d433398a8a8ed885ff96fa7">AddSettingBool</a>(<span class="keywordtype">string</span> title, <span class="keywordtype">string</span> text = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> value = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordtype">string</span> value_text;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (value)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            value_text = <span class="stringliteral">&quot;Enabled&quot;</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            value_text = <span class="stringliteral">&quot;Disabled&quot;</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d3/d2a/class_expansion_book_setting_category.html#a353012b2617141cb125b43a24add7e62">AddSetting</a>(title, text, value_text);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>};</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dc/d8a/class_expansion_book_setting.html">   47</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d8a/class_expansion_book_setting.html">ExpansionBookSetting</a></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>{</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dc/d8a/class_expansion_book_setting.html#a79cd1941dbb0dd66821e21784939833e">   49</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d8a/class_expansion_book_setting.html#a79cd1941dbb0dd66821e21784939833e">SettingTitle</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dc/d8a/class_expansion_book_setting.html#ae47150de5069dac5eee1477af35fcb67">   50</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d8a/class_expansion_book_setting.html#ae47150de5069dac5eee1477af35fcb67">SettingText</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/d8a/class_expansion_book_setting.html#a0b7ccfa8297925966d18d5ab923a38e3">   51</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d8a/class_expansion_book_setting.html#a0b7ccfa8297925966d18d5ab923a38e3">SettingValue</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dc/d8a/class_expansion_book_setting.html#a68a2c960424623c18e1369fc42a16a6a">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d8a/class_expansion_book_setting.html#a68a2c960424623c18e1369fc42a16a6a">ExpansionBookSetting</a>(<span class="keywordtype">string</span> title, <span class="keywordtype">string</span> text, <span class="keywordtype">string</span> value)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_variable" href="../../dc/d8a/class_expansion_book_setting.html#a79cd1941dbb0dd66821e21784939833e">SettingTitle</a> = title;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_variable" href="../../dc/d8a/class_expansion_book_setting.html#ae47150de5069dac5eee1477af35fcb67">SettingText</a> = text;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_variable" href="../../dc/d8a/class_expansion_book_setting.html#a0b7ccfa8297925966d18d5ab923a38e3">SettingValue</a> = value;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>};</div>
<div class="ttc" id="aclass_expansion_book_setting_category_html"><div class="ttname"><a href="../../d3/d2a/class_expansion_book_setting_category.html">ExpansionBookSettingCategory</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00013">expansionbooksettingcategory.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_category_html_a353012b2617141cb125b43a24add7e62"><div class="ttname"><a href="../../d3/d2a/class_expansion_book_setting_category.html#a353012b2617141cb125b43a24add7e62">ExpansionBookSettingCategory::AddSetting</a></div><div class="ttdeci">void AddSetting(string title, string text=&quot;&quot;, string value=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00023">expansionbooksettingcategory.c:23</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_category_html_a4421cd2945f67eb2a5547e4833f84774"><div class="ttname"><a href="../../d3/d2a/class_expansion_book_setting_category.html#a4421cd2945f67eb2a5547e4833f84774">ExpansionBookSettingCategory::Settings</a></div><div class="ttdeci">ref array&lt; ref ExpansionBookSetting &gt; Settings</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00016">expansionbooksettingcategory.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_category_html_a5037e7287d433398a8a8ed885ff96fa7"><div class="ttname"><a href="../../d3/d2a/class_expansion_book_setting_category.html#a5037e7287d433398a8a8ed885ff96fa7">ExpansionBookSettingCategory::AddSettingBool</a></div><div class="ttdeci">void AddSettingBool(string title, string text=&quot;&quot;, bool value=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00030">expansionbooksettingcategory.c:30</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_category_html_a5e1c8540cb5eea44f5a1935a2efc1386"><div class="ttname"><a href="../../d3/d2a/class_expansion_book_setting_category.html#a5e1c8540cb5eea44f5a1935a2efc1386">ExpansionBookSettingCategory::ExpansionBookSettingCategory</a></div><div class="ttdeci">void ExpansionBookSettingCategory(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00018">expansionbooksettingcategory.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_category_html_a8cb6e0666f035785b315add5e20bb14f"><div class="ttname"><a href="../../d3/d2a/class_expansion_book_setting_category.html#a8cb6e0666f035785b315add5e20bb14f">ExpansionBookSettingCategory::CategoryName</a></div><div class="ttdeci">string CategoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00015">expansionbooksettingcategory.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_html"><div class="ttname"><a href="../../dc/d8a/class_expansion_book_setting.html">ExpansionBookSetting</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00047">expansionbooksettingcategory.c:48</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_html_a0b7ccfa8297925966d18d5ab923a38e3"><div class="ttname"><a href="../../dc/d8a/class_expansion_book_setting.html#a0b7ccfa8297925966d18d5ab923a38e3">ExpansionBookSetting::SettingValue</a></div><div class="ttdeci">string SettingValue</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00051">expansionbooksettingcategory.c:51</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_html_a68a2c960424623c18e1369fc42a16a6a"><div class="ttname"><a href="../../dc/d8a/class_expansion_book_setting.html#a68a2c960424623c18e1369fc42a16a6a">ExpansionBookSetting::ExpansionBookSetting</a></div><div class="ttdeci">void ExpansionBookSetting(string title, string text, string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00053">expansionbooksettingcategory.c:53</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_html_a79cd1941dbb0dd66821e21784939833e"><div class="ttname"><a href="../../dc/d8a/class_expansion_book_setting.html#a79cd1941dbb0dd66821e21784939833e">ExpansionBookSetting::SettingTitle</a></div><div class="ttdeci">string SettingTitle</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00049">expansionbooksettingcategory.c:49</a></div></div>
<div class="ttc" id="aclass_expansion_book_setting_html_ae47150de5069dac5eee1477af35fcb67"><div class="ttname"><a href="../../dc/d8a/class_expansion_book_setting.html#ae47150de5069dac5eee1477af35fcb67">ExpansionBookSetting::SettingText</a></div><div class="ttdeci">string SettingText</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da3/expansionbooksettingcategory_8c_source.html#l00050">expansionbooksettingcategory.c:50</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_dacc596b21989c01ac673b2e8a0f8370.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_3addeab4cffdc22456c13b8220ed917f.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_ab89b7dd04d43f13c50ecf8671f21af0.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_55b58436ad688aa28b3f9c8a13904f28.html">book</a></li><li class="navelem"><a class="el" href="../../dir_d52a8b074272bba6639dcfba1430d782.html">serverinfo</a></li><li class="navelem"><a class="el" href="../../de/da3/expansionbooksettingcategory_8c.html">expansionbooksettingcategory.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
